/* Helvetica font */
body {
    font-family: Helvetica, var(--wp--preset--font-family--open-sans);
}

/* Footer links */
footer a{
    text-decoration: none;
}

/* Transition effects  */
a, nav a span:hover, footer a, .wp-block-button a, .wp-block-accordion-heading__toggle{
    transition: all 0.3s ease-in-out;
}

/* Hover link effects */
nav a span:hover, footer a:hover{
    color: var(--wp--preset--color--strong-orange);
}

.wp-block-button a:hover{
    color: var(--wp--preset--color--white);
}

/* Highlight current page in menu */
.current-menu-item{
    color: var(--wp--preset--color--strong-orange);
}

/* Menu drop shadow */
header {
    box-shadow: 0 2px 4px 0 rgba(0,0,0,.2);
}

/* Card group hover effect */
.card-group .wp-block-column {
    transition: transform 0.3s ease;
}

.card-group .wp-block-column:hover{
    transform: scale(1.05);
}

/* Accordion FAQ title styling */
.wp-block-accordion-heading__toggle-title{
    font-size: 24px;
    font-weight: 700;
}

/* Accordion hover effect */
.wp-block-accordion-heading__toggle:hover{
    color: var(--wp--preset--color--strong-orange);
}

/* Smooth scroll for anchor links */
html {
  scroll-behavior: smooth;
}

/* Offset for anchor points to allow for sticky menu */
#enquiry {
    scroll-margin-top: 80px;
}
/* Accordian underline */
.wp-block-accordion-item:not(:last-child) .wp-block-accordion-heading {
    padding-bottom: 5px;
    border-bottom: solid 1px var(--wp--preset--color--gold);
}

/* Footer items order on smaller screens */
@media (max-width: 781px) {
  .footer-order {
    display: flex;          /* usually already flex when stacked */
    flex-direction: column;
    align-items: flex-start;
  }
  .footer-order > :first-child { order: 2; }
  .footer-order > :last-child  { order: 1; }
}

/* Contact form 7 styling */
/* Contact 7 input boxes */
.wpcf7 input[type="text"],
.wpcf7 input[type="email"],
.wpcf7 input[type="tel"],
.wpcf7 input[type="url"],
.wpcf7 input[type="date"],
.wpcf7 input[type="number"],
.wpcf7 select,
.wpcf7 textarea {
    width: 100%;
    padding: 12px 16px;
    margin-bottom: 15px;
    background-color: #f9f9f9;
    border: 1px solid #ccc;
    border-radius: 6px;
    font-size: 16px;
    box-sizing: border-box;
    transition: all 0.3s ease;
}

/* Contact 7 button styling and centering */
.cf7-submit{
    display: flex;
    justify-content: center;
    margin-top: 15px !important;
}

.wpcf7-submit, .uacf7-prev, .uacf7-next{

    border-top-left-radius: 1rem;
    border-top-right-radius: 1rem;
    border-bottom-left-radius: 1rem;
    border-bottom-right-radius: 1rem;

    font-style: normal;
    font-weight: 700;
    text-transform: uppercase;

    line-height: inherit;
    padding-top: calc(0.667em + 2px);
    padding-right: calc(1.333em + 2px);
    padding-bottom: calc(0.667em + 2px);
    padding-left: calc(1.333em + 2px);
    text-decoration: none;
    transition: all 0.3s ease-in-out;
}

.wpcf7-submit{
    font-size: inherit;
    background-color: var(--wp--preset--color--gold);
    color: var(--wp--preset--color--dark-blue);

}

.uacf7-prev, .uacf7-next{
    font-size: var(--wp--preset--font-size--normal);
    background-color: var(--wp--preset--color--light-blue);
    color: var(--wp--preset--color--dark-blue) !important;
}


.wpcf7-submit:hover,  .uacf7-prev:hover, .uacf7-next:hover{
    color: white !important;
} 

.uacf7-buttons {
  display: flex;
  justify-content: flex-end;
  gap: 1rem;
  align-items: center;
}

/* Contact 7 a hover */
.wpcf7 a:hover{
    color: var(--wp--preset--color--strong-orange);
}

/* Contact 7 custom classes */
/* Contact 7 labels */
.cf7-row label, .wpcf7 p label{
    font-size: var(--wp--preset--font-size--medium);
    font-weight: 700 !important;
}

/* Contact 7 p and h3 margin */
.wpcf7 p, .wpcf7 h3 {
    margin: 0;
}

/* Contact 7 row and col settings */
.cf7-row {
  display: flex;
  gap: 24px;

}

.cf7-col {
  flex: 1;
  display: flex;
  flex-direction: column;
  gap: 6px;
}

.cf7-col input,
.cf7-col select {
  width: 100%;
}

/* Centre submit button on forms */
.cf7-submit {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
}
.cf7-submit .wpcf7-spinner {
  position: absolute;
  margin: 0;
}

/* Contact 7 mobile breakpoint */
@media (max-width: 768px) {
  .cf7-row {
    flex-direction: column;
  }
}